:root {
  --blanco: #f2f2f2;
  --naranja: #fe7a20;
  --rojo: #dd173a;
  --azul: #1565d2;
}

.carrusel {
  height: 600px;
  margin-top: 0;
  overflow: hidden;
  position: relative;
  width: 100%;
}

#main-slider {
  height: 100%;
  width: 100%;
}

.splide__slide img {
  display: block;
  height: 100%;
  object-fit: cover;
  width: 100%;
}

#main-slider .contenido {
  color: var(--blanco);
  display: none;
  left: 5%;
  position: absolute;
  text-align: left;
  top: 10%;
  width: 500px;
  z-index: 200;
}

#main-slider .is-active .contenido {
  display: block;
}

.contenido .con_titulo {
  color: var(--naranja);
  font-size: 5rem;
  font-weight: bold;
  opacity: 0;
}

#main-slider .is-active .contenido .con_titulo {
  animation: animate 1s ease-in-out 0.3s 1 forwards;
}

.contenido .con_nombre {
  font-size: 4rem;
  font-weight: bold;
  opacity: 0;
}

#main-slider .is-active .contenido .con_nombre {
  animation: animate 1s ease-in-out 0.6s 1 forwards;
}

.contenido .con_descripcion {
  font-size: 18px;
  margin-bottom: 5%;
  margin-top: 2%;
  opacity: 0;
}

#main-slider .is-active .contenido .con_descripcion {
  animation: animate 1s ease-in-out 0.9s 1 forwards;
}

.contenido .con_boton {
  margin-left: 5%;
  opacity: 0;
}

#main-slider .is-active .contenido .con_boton {
  animation: animate 1s ease-in-out 1.2s 1 forwards;
}

.contenido .con_boton button {
  border: 3px solid var(--naranja);
  cursor: pointer;
  font-size: 1rem;
  padding: 10px 20px;
}

.contenido .con_boton a:nth-child(1) button {
  margin-right: 15px;
}

.contenido .con_boton a:nth-child(2) button {
  background: transparent;
  color: var(--naranja);
  transition: 0.3s;
}

.contenido .con_boton a:nth-child(2) button:hover {
  background-color: var(--naranja);
  color: var(--blanco);
}

@keyframes animate {
  from {
    filter: blur(33px);
    opacity: 0;
    transform: translate(0, 100px);
  }

  to {
    filter: blur(0);
    opacity: 1;
    transform: translate(0);
  }
}

#thumbnail-slider {
  bottom: 50px;
  position: absolute;
  right: 5%;
  width: 38%;
  z-index: 100;
}

#thumbnail-slider .splide__slide {
  border: 2px solid transparent;
  border-radius: 20px;
  cursor: pointer;
  opacity: 1;
  overflow: hidden;
  transition: border-color 0.3s;
  border-color: #1565d2;

}

#thumbnail-slider .splide__slide.is-active {
  border-color: var(--rojo);
}

#thumbnail-slider .splide__slide img {
  border-radius: inherit;
}

/* Arrows */
#main-slider .splide__arrows {
  bottom: 5%;
  display: flex;
  gap: 25px;
  left: 35%;
  position: absolute;
  z-index: 100;
}

#main-slider .splide__arrow {
  background-color: var(--azul);
  border: none;
  border-radius: 50%;
  color: var(--blanco);
  cursor: pointer;
  font-family: monospace;
  font-size: 30px;
  font-weight: bold;
  height: 50px;
  opacity: 1;
  outline: none;
  position: static;
  transform: none;
  transition: .5s;
  width: 50px;
}

#main-slider .splide__arrow svg {
  display: none;
}

#main-slider .splide__arrow--prev::before {
  content: "<";
}

#main-slider .splide__arrow--next::before {
  content: ">";
}

#main-slider .splide__arrow:hover {
  background: var(--blanco);
  color: var(--azul);
}

.carrusel .linea_tiempo {
  background-color: var(--rojo);
  bottom: 0;
  height: 4px;
  left: 0;
  position: absolute;
  width: 0%;
  z-index: 1000;
}

/* --- Responsive Design --- */
@media screen and (max-width: 1200px) {
  #main-slider .contenido {
    width: 450px;
  }

  .contenido .con_titulo,
  .contenido .con_nombre {
    font-size: 4rem;
  }

  #main-slider .splide__arrows {
    left: 30%;
  }
}

@media screen and (max-width: 970px) {
  .carrusel {
    height: 500px;
  }

  #main-slider .contenido {
    width: 40%;
  }

  .contenido .con_titulo,
  .contenido .con_nombre {
    font-size: 3rem;
  }

  #thumbnail-slider {
    right: 4%;
    width: 45%;
  }

  #main-slider .splide__arrows {
    bottom: 8%;
    left: 30%;
  }
}

@media screen and (max-width: 768px) {
  .carrusel {
    height: 400px;
  }

  #main-slider .contenido {
    text-align: center;
    top: 10%;
    width: 90%;
  }

  .contenido .con_descripcion {
    font-size: 1rem;
  }

  #thumbnail-slider {
    bottom: 20px;
    right: 20px;
    width: 100px;
  }

  #main-slider .splide__arrows {
    gap: 60%;
    justify-content: center;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
  }
}

@media screen and (max-width: 576px) {
  .carrusel {
    height: 300px;
  }

  #main-slider .contenido {
    top: 15%;
  }

  .contenido .con_titulo,
  .contenido .con_nombre {
    font-size: 1.5rem;
  }

  .contenido .con_descripcion {
    font-size: 1rem;
  }

  #thumbnail-slider {
    bottom: 8%;
    right: 8%;
    width: 60px;
  }

  #thumbnail-slider .splide__slide {
    border-radius: 10px;
  }

  #main-slider .splide__arrows {
    gap: 20px;
    left: 50%;
    transform: translateX(-50%);
    bottom: 5%;
  }

  #main-slider .splide__arrow {
    font-size: 1.2rem;
    height: 35px;
    width: 35px;
  }

  .contenido .con_descripcion {
    font-size: 0.9rem;
    margin-bottom: 3%;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}

@media screen and (max-width: 480px) {

  .contenido .con_titulo,
  .contenido .con_nombre {
    display: block;
    font-size: 1.3rem;
  }

  #main-slider .contenido {
    top: 15%;
  }

  #thumbnail-slider {
    display: none;
  }

  .contenido .con_descripcion {
    display: none;
  }

  .contenido .con_boton {
    margin-top: 10px;
  }

  .contenido .con_boton button {
    font-size: 0.8rem;
    padding: 5px 10px;
  }
}